package com.fs.pay.pay.dto;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class WxJspayDTO {
    private String account;         // 聚合支付账号
    private String payMoney;        // 支付金额
    private String lowOrderId;      // 下游订单号
    private String body;            // 商品描述
    private String isMinipg;        // 是否小程序
    private String sign;            // 签名
    private String notifyUrl;       // 回调通知地址
    private String returnUrl;       // 交易完成后跳转的URL
    private String openId;          // 微信用户在公众号的唯一标识
    private String appId;           // 公众号AppID
    private String attach;          // 附加信息
    private String storeid;         //门店号


    public Map<String, String> toMap() {
        Map<String, String> params = new HashMap<>();
        params.put("account", account);
        params.put("payMoney", payMoney);
        params.put("lowOrderId", lowOrderId);
        params.put("body", body);
        params.put("isMinipg", isMinipg);
        params.put("notifyUrl", notifyUrl);
        params.put("returnUrl", returnUrl);
        params.put("openId", openId);
        params.put("appId", appId);
        params.put("attach", attach);
        params.put("storeid", storeid);
        return params;
    }
}
